#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.7.0.0
id: jose-0.7.0.0-ENSl8LeJdnc6fvc81wOc6T
key: jose-0.7.0.0-ENSl8LeJdnc6fvc81wOc6T
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
author: Fraser Tweedale
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
abi: 47a9c655043277ece51326bf1fd0b376
exposed: True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
import-dirs: /usr/lib/ghc-8.4.3/site-local/jose-0.7.0.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/jose-0.7.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/jose-0.7.0.0
hs-libraries: HSjose-0.7.0.0-ENSl8LeJdnc6fvc81wOc6T
depends:
    base-4.11.1.0 attoparsec-0.13.2.2-KZXutHSJyFFFErNezqs0Rb
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    concise-0.1.0.1-4UvR60C8Syd8PT2AHnVnAW containers-0.5.11.0
    cryptonite-0.25-FGChimResic4ujDRfnuPjv
    lens-4.17-BcjA3l4qVNUJlOh1bH33NX
    memory-0.14.18-9akydHRk1ZP1zabNg9e0SJ
    monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ mtl-2.2.2
    template-haskell-2.13.0.0 safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur
    aeson-1.4.1.0-Je86IRhAZ9i9fcEQGpo4BI
    unordered-containers-0.2.9.0-EtLPGprUM82GTPrcqDz1YE
    bytestring-0.10.8.2 text-1.2.3.0 time-1.8.0.2
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr
    quickcheck-instances-0.3.19-AZAv1hME1XQFmrXzPXFynr
    x509-1.7.4-9hzLDk1f1gyIQcsNoACyoj
    vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             attoparsec-0.13.2.2-KZXutHSJyFFFErNezqs0Rb=00fe5c2fcfc4c1dbb030be8823e7ce5f
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=6373b2ec1ae2585bcca6cddbee5d3e75
             concise-0.1.0.1-4UvR60C8Syd8PT2AHnVnAW=b52ffb1a32cef6e6ea85dd58570d0d96
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             cryptonite-0.25-FGChimResic4ujDRfnuPjv=29137cb7d1f614608fd8f81085dbaf61
             lens-4.17-BcjA3l4qVNUJlOh1bH33NX=93c30636a22b8294ef0cc652f468a6c8
             memory-0.14.18-9akydHRk1ZP1zabNg9e0SJ=a6560a06cd4458200b1075ace7506fc2
             monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ=e679d0596312baf03ac502de1b40f77b
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             template-haskell-2.13.0.0=1ce4a454c5861830bbdedc46baa462f3
             safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur=f24d7708a3245ecd805ff7d598d8872c
             aeson-1.4.1.0-Je86IRhAZ9i9fcEQGpo4BI=e763a4a7c222101a91911389c36d4497
             unordered-containers-0.2.9.0-EtLPGprUM82GTPrcqDz1YE=d999168fa5a35d048ce4f3e0442b4ae6
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=1c5b19d707f7ce4714ffa81cd536dbf4
             QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr=0b62adbb61d61aac8d449588192e831b
             quickcheck-instances-0.3.19-AZAv1hME1XQFmrXzPXFynr=3cee6bea7ed1dad25d6e9b8e750de623
             x509-1.7.4-9hzLDk1f1gyIQcsNoACyoj=8f49a68d5c1a888fc80e6675548b9c2f
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

